เกี่ยวกับเนื้อหาความปลอดภัยของ macOS High Sierra 10.13.2, รายการอัพเดทความปลอดภัย 2017-002 Sierra และรายการอัพเดทความปลอดภัย 2017-005 El Capitan

เอกสารนี้จะอธิบายเกี่ยวกับเนื้อหาความปลอดภัยของ macOS High Sierra 10.13.2, รายการอัพเดทความปลอดภัย 2017-002 Sierra และรายการอัพเดทความปลอดภัย 2017-005 El Capitan

เกี่ยวกับรายการอัพเดทความปลอดภัยของ Apple

เพื่อเป็นการปกป้องลูกค้าของเรา Apple จะไม่เปิดเผย อภิปราย หรือยืนยันปัญหาด้านความปลอดภัยจนกว่าจะมีการตรวจสอบ และมีแพตช์หรือมีการเปิดตัวออกมาแล้ว รายการที่เปิดตัวล่าสุดจะแสดงอยู่ในหน้ารายการอัพเดทความปลอดภัยของ Apple

สำหรับข้อมูลเพิ่มเติมเกี่ยวกับความปลอดภัย โปรดดูที่หน้าความปลอดภัยของผลิตภัณฑ์ Apple คุณสามารถเข้ารหัสการสื่อสารกับ Apple ได้โดยใช้คีย์ PGP สำหรับความปลอดภัยของผลิตภัณฑ์ Apple

เอกสารด้านความปลอดภัยของ Apple จะอ้างอิงช่องโหว่ต่างๆ ตาม CVE-ID หากทำได้

macOS High Sierra 10.13.2, รายการอัพเดทความปลอดภัย 2017-002 Sierra และรายการอัพเดทความปลอดภัย 2017-005 El Capitan

เปิดตัวเมื่อวันที่ 6 ธันวาคม 2017

APFS

มีให้สำหรับ: macOS High Sierra 10.13.1

ผลกระทบ: คีย์การเข้ารหัส APFS อาจไม่ถูกลบอย่างปลอดภัยหลังจากไฮเบอร์เนต

คำอธิบาย: มีปัญหาตรรกะใน APFS เมื่อลบคีย์ในระหว่างการไฮเบอร์เนต ปัญหานี้ได้รับการแก้ไขแล้วด้วยการปรับปรุงการจัดการสถานะให้ดียิ่งขึ้น

CVE-2017-13887: David Ryskalczyk

เพิ่มรายการเมื่อวันที่ 21 มิถุนายน 2018

apache

มีให้สำหรับ: OS X El Capitan 10.11.6, macOS Sierra 10.12.6, macOS High Sierra 10.13.1

ผลกระทบ: การประมวลผลคำสั่งการกำหนดค่า Apache ที่ออกแบบมาเพื่อประสงค์ร้ายอาจเปิดเผยหน่วยความจำของการประมวลผล

คำอธิบาย: ปัญหาจำนวนมากได้รับการแก้ไขแล้วโดยการอัพเดทเป็นเวอร์ชั่น 2.4.28

CVE-2017-9798

ปลดล็อคโดยอัตโนมัติ

มีให้สำหรับ: macOS High Sierra 10.13.1

ผลกระทบ: แอพพลิเคชั่นอาจสามารถรับสิทธิ์ในระดับที่สูงขึ้นได้

คำอธิบาย: ปัญหาสภาวะการแข่งขันได้รับการแก้ไขแล้วด้วยการตรวจสอบข้อมูลเพิ่มเติม

CVE-2017-13905: Samuel Groß (@5aelo)

เพิ่มรายการเมื่อวันที่ 18 ตุลาคม 2018

CFNetwork Session

มีให้สำหรับ: OS X El Capitan 10.11.6, macOS Sierra 10.12.6, macOS High Sierra 10.13.1

ผลกระทบ: แอพพลิเคชั่นอาจสามารถใช้โค้ดที่มีสิทธิ์ในระดับระบบได้โดยอำเภอใจ

คำอธิบาย: ปัญหาหน่วยความจำเสียหายได้รับการแก้ไขแล้วด้วยการปรับปรุงการจัดการหน่วยความจำให้ดียิ่งขึ้น

CVE-2017-7172: Richard Zhu (fluorescence) ที่ทำงานร่วมกับ Zero Day Initiative ของ Trend Micro

เพิ่มรายการเมื่อวันที่ 22 มกราคม 2018

รายชื่อ

มีให้สำหรับ: macOS High Sierra 10.13.1

ผลกระทบ: การแชร์ข้อมูลรายชื่ออาจทำให้เกิดการแชร์ข้อมูลที่ไม่คาดคิด

คำอธิบาย: มีปัญหาในการจัดการการแชร์รายชื่อ ปัญหานี้ได้รับการแก้ไขแล้วด้วยการปรับปรุงการจัดการข้อมูลผู้ใช้ 

CVE-2017-13892: Ryan Manly จาก Glenbrook High School District 225

เพิ่มรายการเมื่อวันที่ 18 ตุลาคม 2018

CoreAnimation

มีให้สำหรับ: macOS High Sierra 10.13.1

ผลกระทบ: แอพพลิเคชั่นอาจสามารถใช้รหัสที่มีสิทธิ์ในระดับที่สูงขึ้นได้โดยอำเภอใจ

คำอธิบาย: ปัญหาหน่วยความจำเสียหายได้รับการแก้ไขแล้วด้วยการปรับปรุงการจัดการหน่วยความจำให้ดียิ่งขึ้น

CVE-2017-7171: 360 Security ที่ทำงานร่วมกับ Zero Day Initiative ของ Trend Micro และ Tencent Keen Security Lab (@keen_lab) ที่ทำงานร่วมกับ Zero Day Initiative ของ Trend Micro

เพิ่มรายการเมื่อวันที่ 22 มกราคม 2018

CoreFoundation

มีให้สำหรับ: macOS High Sierra 10.13.1

ผลกระทบ: แอพพลิเคชั่นอาจสามารถรับสิทธิ์ในระดับที่สูงขึ้นได้

คำอธิบาย: ปัญหาสภาวะการแข่งขันได้รับการแก้ไขแล้วด้วยการตรวจสอบข้อมูลเพิ่มเติม

CVE-2017-7151: Samuel Groß (@5aelo)

เพิ่มรายการเมื่อวันที่ 18 ตุลาคม 2018

curl

มีให้สำหรับ: OS X El Capitan 10.11.6, macOS Sierra 10.12.6, macOS High Sierra 10.13.1

ผลกระทบ: เซิร์ฟเวอร์ FTP ที่เป็นอันตรายอาจทำให้ไคลเอนต์อ่านหน่วยความจำนอกขอบเขตได้

คำอธิบาย: มีปัญหาการอ่านนอกขอบเขตในการแยกวิเคราะห์การตอบสนอง PWD ใน FTP ปัญหานี้ได้รับการแก้ไขแล้วโดยการปรับปรุงการตรวจสอบขอบเขตให้ดียิ่งขึ้น

CVE-2017-1000254: Max Dymond

ยูทิลิตี้ไดเรกทอรี

มีให้สำหรับ: macOS Sierra 10.12.6, macOS High Sierra 10.13.1

ไม่ได้รับผลกระทบ: macOS Sierra 10.12.6 และเวอร์ชั่นก่อนหน้า 

ผลกระทบ: ผู้โจมตีอาจสามารถบายพาสการรับรองความถูกต้องของผู้ดูแลระบบได้โดยไม่ต้องให้รหัสผ่านผู้ดูแลระบบ

คำอธิบาย: มีข้อผิดพลาดตรรกะในการตรวจสอบข้อมูลประจำตัว ปัญหานี้ได้รับการแก้ไขแล้วโดยการปรับปรุงการตรวจสอบข้อมูลประจำตัวให้ดียิ่งขึ้น

CVE-2017-13872

ICU

มีให้สำหรับ: OS X El Capitan 10.11.6, macOS Sierra 10.12.6, macOS High Sierra 10.13.1

ผลกระทบ: แอพพลิเคชั่นอาจสามารถอ่านหน่วยความจำที่ถูกจำกัดไว้ได้

คำอธิบาย: ปัญหาจำนวนเต็มล้นได้รับการแก้ไขแล้วผ่านการปรับปรุงการตรวจสอบอินพุตให้ดียิ่งขึ้น

CVE-2017-15422: Yuan Deng จาก Ant-financial Light-Year Security Lab

เพิ่มรายการเมื่อวันที่ 14 มีนาคม 2018

ไดรเวอร์กราฟิกของ Intel

มีให้สำหรับ: macOS High Sierra 10.13.1

ผลกระทบ: แอพพลิเคชั่นอาจสามารถใช้โค้ดที่มีสิทธิ์เคอร์เนลได้โดยอำเภอใจ

คำอธิบาย: ปัญหาหน่วยความจำเสียหายได้รับการแก้ไขแล้วด้วยการปรับปรุงการจัดการหน่วยความจำให้ดียิ่งขึ้น

CVE-2017-13883: Yu Wang จาก Didi Research America

CVE-2017-7163: Yu Wang จาก Didi Research America

CVE-2017-7155: Yu Wang จาก Didi Research America

อัพเดทรายการเมื่อวันที่ 21 ธันวาคม 2017 

ไดรเวอร์กราฟิกของ Intel

มีให้สำหรับ: macOS High Sierra 10.13.1

ผลกระทบ: ผู้ใช้เฉพาะเครื่องอาจสามารถทำให้ระบบหยุดทำงานโดยไม่คาดคิดหรืออ่านหน่วยความจำเคอร์เนลได้

คำอธิบาย: มีปัญหาการอ่านข้อมูลนอกขอบเขตที่นำไปสู่การเปิดเผยหน่วยความจำเคอร์เนล ปัญหานี้ได้รับการแก้ไขแล้วผ่านการปรับปรุงการตรวจสอบอินพุตให้ดียิ่งขึ้น

CVE-2017-13878: Ian Beer จาก Google Project Zero

ไดรเวอร์กราฟิกของ Intel

มีให้สำหรับ: macOS High Sierra 10.13.1

ผลกระทบ: แอพพลิเคชั่นอาจสามารถใช้โค้ดที่มีสิทธิ์ในระดับระบบได้โดยอำเภอใจ

คำอธิบาย: ปัญหาการอ่านข้อมูลนอกขอบเขตได้รับการแก้ไขแล้วผ่านการปรับปรุงการตรวจสอบขอบเขตให้ดียิ่งขึ้น

CVE-2017-13875: Ian Beer จาก Google Project Zero

IOAcceleratorFamily

มีให้สำหรับ: OS X El Capitan 10.11.6, macOS Sierra 10.12.6, macOS High Sierra 10.13.1

ผลกระทบ: แอพพลิเคชั่นอาจสามารถใช้โค้ดที่มีสิทธิ์ในระดับระบบได้โดยอำเภอใจ

คำอธิบาย: ปัญหาหน่วยความจำเสียหายได้รับการแก้ไขแล้วด้วยการปรับปรุงการจัดการหน่วยความจำให้ดียิ่งขึ้น

CVE-2017-7159: พบโดย IMF ที่พัฒนาโดย HyungSeok Han (daramg.gift) จาก SoftSec ที่ KAIST (softsec.kaist.ac.kr)

อัพเดทรายการเมื่อวันที่ 21 ธันวาคม 2017 

IOKit

มีให้สำหรับ: macOS High Sierra 10.13.1

ผลกระทบ: แอพพลิเคชั่นอาจสามารถใช้โค้ดที่มีสิทธิ์ในระดับระบบได้โดยอำเภอใจ

คำอธิบาย: มีปัญหาการตรวจสอบอินพุตในเคอร์เนล ปัญหานี้ได้รับการแก้ไขแล้วผ่านการปรับปรุงการตรวจสอบอินพุตให้ดียิ่งขึ้น

CVE-2017-13848: Alex Plaskett จาก MWR InfoSecurity

CVE-2017-13858: นักวิจัยนิรนาม

IOKit

มีให้สำหรับ: OS X El Capitan 10.11.6, macOS Sierra 10.12.6, macOS High Sierra 10.13.1

ผลกระทบ: แอพพลิเคชั่นอาจสามารถใช้โค้ดที่มีสิทธิ์ในระดับระบบได้โดยอำเภอใจ

คำอธิบาย: ปัญหาหลายประการเกี่ยวกับความเสียหายของหน่วยความจำได้รับการแก้ไขแล้วผ่านการปรับปรุงการจัดการสถานะให้ดียิ่งขึ้น

CVE-2017-13847: Ian Beer จาก Google Project Zero

IOKit

มีให้สำหรับ: OS X El Capitan 10.11.6, macOS Sierra 10.12.6, macOS High Sierra 10.13.1

ผลกระทบ: แอพพลิเคชั่นอาจสามารถใช้โค้ดที่มีสิทธิ์เคอร์เนลได้โดยอำเภอใจ

คำอธิบาย: ปัญหาหน่วยความจำเสียหายได้รับการแก้ไขแล้วด้วยการปรับปรุงการจัดการหน่วยความจำให้ดียิ่งขึ้น

CVE-2017-7162: Tencent Keen Security Lab (@keen_lab) ที่ทำงานร่วมกับ Zero Day Initiative ของ Trend Micro

อัพเดทรายการเมื่อวันที่ 10 มกราคม 2018

เคอร์เนล

มีให้สำหรับ: OS X El Capitan 10.11.6, macOS Sierra 10.12.6, macOS High Sierra 10.13.1

ผลกระทบ: แอพพลิเคชั่นอาจสามารถใช้โค้ดที่มีสิทธิ์เคอร์เนลได้โดยอำเภอใจ

คำอธิบาย: ปัญหาหน่วยความจำเสียหายได้รับการแก้ไขแล้วด้วยการปรับปรุงการจัดการหน่วยความจำให้ดียิ่งขึ้น

CVE-2017-13904: Kevin Backhouse จาก Semmle Ltd.

เพิ่มรายการเมื่อวันที่ 14 กุมภาพันธ์ 2018

เคอร์เนล

มีให้สำหรับ: macOS High Sierra 10.13.1

ผลกระทบ: แอพพลิเคชั่นอาจสามารถอ่านหน่วยความจำเคอร์เนลได้ (Meltdown)

คำอธิบาย: ระบบที่มีไมโครโปรเซสเซอร์ที่ใช้ Speculative Execution (การดำเนินการเชิงคาดเดา) และ Indirect Branch Prediction อาจทำให้เกิดการเปิดเผยข้อมูลโดยไม่ได้รับอนุญาตต่อผู้โจมตีที่มีสิทธิ์เข้าใช้ของผู้ใช้เฉพาะเครื่องผ่านการวิเคราะห์แคชข้อมูลโดยอาศัยผลข้างเคียง

CVE-2017-5754: Jann Horn จาก Google Project Zero, Moritz Lipp จาก Graz University of Technology, Michael Schwarz จาก Graz University of Technology, Daniel Gruss จาก Graz University of Technology, Thomas Prescher จาก Cyberus Technology GmbH, Werner Haas จาก Cyberus Technology GmbH, Stefan Mangard จาก Graz University of Technology, Paul Kocher, Daniel Genkin จาก University of Pennsylvania และ University of Maryland, Yuval Yarom จาก University of Adelaide และ Data61 และ Mike Hamburg จาก Rambus (แผนก Cryptography Research)

อัพเดทรายการเมื่อวันที่ 5 มกราคม 2018

เคอร์เนล

มีให้สำหรับ: OS X El Capitan 10.11.6, macOS Sierra 10.12.6, macOS High Sierra 10.13.1

ผลกระทบ: แอพพลิเคชั่นอาจสามารถใช้โค้ดที่มีสิทธิ์เคอร์เนลได้โดยอำเภอใจ

คำอธิบาย: ปัญหาหน่วยความจำเสียหายได้รับการแก้ไขแล้วด้วยการปรับปรุงการจัดการหน่วยความจำให้ดียิ่งขึ้น

CVE-2017-13862: Apple

CVE-2017-13867: Ian Beer จาก Google Project Zero

อัพเดทรายการเมื่อวันที่ 21 ธันวาคม 2017 

เคอร์เนล

มีให้สำหรับ: OS X El Capitan 10.11.6, macOS Sierra 10.12.6, macOS High Sierra 10.13.1

ผลกระทบ: แอพพลิเคชั่นอาจสามารถอ่านหน่วยความจำที่ถูกจำกัดไว้ได้

คำอธิบาย: ปัญหาการอ่านข้อมูลนอกขอบเขตได้รับการแก้ไขแล้วด้วยการปรับปรุงการตรวจสอบขอบเขตให้ดียิ่งขึ้น

CVE-2017-7173: Brandon Azad

อัพเดทรายการเมื่อวันที่ 11 มกราคม 2018

เคอร์เนล

มีให้สำหรับ: macOS High Sierra 10.13.1

ผลกระทบ: แอพพลิเคชั่นอาจสามารถใช้โค้ดที่มีสิทธิ์เคอร์เนลได้โดยอำเภอใจ

คำอธิบาย: ปัญหาหน่วยความจำเสียหายได้รับการแก้ไขแล้วด้วยการปรับปรุงการจัดการหน่วยความจำให้ดียิ่งขึ้น

CVE-2017-13876: Ian Beer จาก Google Project Zero

เคอร์เนล

มีให้สำหรับ: OS X El Capitan 10.11.6, macOS Sierra 10.12.6, macOS High Sierra 10.13.1

ผลกระทบ: แอพพลิเคชั่นอาจสามารถอ่านหน่วยความจำที่ถูกจำกัดไว้ได้

คำอธิบาย: ปัญหาเกี่ยวกับความสับสนในประเภทได้รับการแก้ไขแล้วด้วยการปรับปรุงการจัดการหน่วยความจำให้ดียิ่งขึ้น

CVE-2017-13855: Jann Horn จาก Google Project Zero

เคอร์เนล

มีให้สำหรับ: macOS High Sierra 10.13.1

ผลกระทบ: แอพพลิเคชั่นอาจสามารถอ่านหน่วยความจำที่ถูกจำกัดไว้ได้

คำอธิบาย: ปัญหาการตรวจสอบได้รับการแก้ไขแล้วด้วยการปรับปรุงการดูแลอินพุตให้ดียิ่งขึ้น

CVE-2017-13865: Ian Beer จาก Google Project Zero

เคอร์เนล

มีให้สำหรับ: OS X El Capitan 10.11.6, macOS Sierra 10.12.6, macOS High Sierra 10.13.1

ผลกระทบ: แอพพลิเคชั่นอาจสามารถอ่านหน่วยความจำที่ถูกจำกัดไว้ได้

คำอธิบาย: ปัญหาการตรวจสอบได้รับการแก้ไขแล้วด้วยการปรับปรุงการดูแลอินพุตให้ดียิ่งขึ้น

CVE-2017-13868: Brandon Azad

CVE-2017-13869: Jann Horn จาก Google Project Zero

เคอร์เนล

มีให้สำหรับ: OS X El Capitan 10.11.6, macOS Sierra 10.12.6, macOS High Sierra 10.13.1

ผลกระทบ: ผู้ใช้เฉพาะเครื่องอาจสามารถทำให้ระบบหยุดทำงานโดยไม่คาดคิดหรืออ่านหน่วยความจำเคอร์เนลได้

คำอธิบาย: มีปัญหาการตรวจสอบอินพุตในเคอร์เนล ปัญหานี้ได้รับการแก้ไขแล้วผ่านการปรับปรุงการตรวจสอบอินพุตให้ดียิ่งขึ้น

CVE-2017-7154: Jann Horn จาก Google Project Zero

เพิ่มรายการเมื่อวันที่ 21 ธันวาคม 2017

เมล

มีให้สำหรับ: macOS High Sierra 10.13.1

ผลกระทบ: อีเมล S/MIME ที่เข้ารหัสอาจถูกส่งแบบไม่ได้เข้ารหัสไปโดยบังเอิญหากใบรับรอง S/MIME ของผู้รับไม่ได้ถูกติดตั้ง

คำอธิบาย: ปัญหาอินเทอร์เฟซผู้ใช้ไม่สอดคล้องได้รับการแก้ไขแล้วผ่านการปรับปรุงการจัดการสถานะให้ดียิ่งขึ้น

CVE-2017-13871: Lukas Pitschl จาก GPGTools

อัพเดทรายการเมื่อวันที่ 21 ธันวาคม 2017

เมลฉบับร่าง

มีให้สำหรับ: macOS High Sierra 10.13.1

ผลกระทบ: ผู้โจมตีในตำแหน่งเครือข่ายที่มีสิทธิ์อาจสามารถดักจับเมลได้

คำอธิบาย: มีปัญหาการเข้ารหัสกับข้อมูลประจำตัว S/MIME ปัญหานี้ได้รับการแก้ไขแล้วด้วยการตรวจสอบและการควบคุมผู้ใช้เพิ่มเติม

CVE-2017-13860: Michael Weishaar จาก INNEO Solutions GmbH

อัพเดทรายการเมื่อวันที่ 10 มกราคม 2018

OpenSSL

มีให้สำหรับ: OS X El Capitan 10.11.6, macOS Sierra 10.12.6, macOS High Sierra 10.13.1

ผลกระทบ: แอพพลิเคชั่นอาจสามารถอ่านหน่วยความจำที่ถูกจำกัดไว้ได้

คำอธิบาย: มีปัญหาการอ่านข้อมูลนอกขอบเขตในการแยกวิเคราะห์ X.509 IPAddressFamily ปัญหานี้ได้รับการแก้ไขแล้วโดยการปรับปรุงการตรวจสอบขอบเขตให้ดียิ่งขึ้น

CVE-2017-3735: พบโดย OSS-Fuzz

Perl

มีให้สำหรับ: macOS Sierra 10.12.6

ผลกระทบ: ข้อบกพร่องนี้ทำให้ผู้โจมตีจากระยะไกลทำให้เกิดการปฏิเสธบริการได้

คำอธิบาย: CVE-2017-12837 ทั่วไปได้รับการแก้ไขแล้วด้วยการอัพเดทฟังก์ชั่นใน Perl 5.18

CVE-2017-12837: Jakub Wilk

เพิ่มรายการเมื่อวันที่ 18 ตุลาคม 2018

เซิร์ฟเวอร์การแชร์หน้าจอ

มีให้สำหรับ: macOS Sierra 10.12.6, macOS High Sierra 10.13.1

ผลกระทบ: ผู้ใช้ที่สามารถเข้าถึงการแชร์หน้าจออาจสามารถเข้าถึงไฟล์ต่างๆ ที่สามารถอ่านได้โดยราก

คำอธิบาย: มีปัญหาสิทธิ์อนุญาตในการจัดการเซสชั่นการแชร์หน้าจอ ปัญหานี้ได้รับการแก้ไขแล้วด้วยการปรับปรุงการจัดการสิทธิ์อนุญาตให้ดียิ่งขึ้น

CVE-2017-7158: Trevor Jacques จาก Toronto

อัพเดทรายการเมื่อวันที่ 21 ธันวาคม 2017

SIP

มีให้สำหรับ: macOS High Sierra 10.13.1

ผลกระทบ: แอพพลิเคชั่นอาจสามารถใช้โค้ดที่มีสิทธิ์เคอร์เนลได้โดยอำเภอใจ

คำอธิบาย: ปัญหาในการกำหนดค่าได้รับการแก้ไขแล้วด้วยข้อจำกัดเพิ่มเติม

CVE-2017-13911: Timothy Perfitt จาก Twocanoes Software

อัพเดทรายการเมื่อวันที่ 8 สิงหาคม 2018, อัพเดทเมื่อวันที่ 25 กันยายน 2018

Wi-Fi

มีให้สำหรับ: macOS High Sierra 10.13.1

ผลกระทบ: ผู้ใช้ที่ไม่มีสิทธิ์อาจเปลี่ยนพารามิเตอร์ระบบ WiFi ซึ่งนำไปสู่การปฏิเสธบริการ

คำอธิบาย: มีปัญหาการเข้าถึงในการกำหนดค่าระบบ WiFi ที่มีสิทธิ์ ปัญหานี้ได้รับการแก้ไขแล้วด้วยข้อจำกัดเพิ่มเติม

CVE-2017-13886: David Kreitschmann และ Matthias Schulz จาก Secure Mobile Networking Lab ที่ TU Darmstadt

เพิ่มรายการเมื่อวันที่ 2 พฤษภาคม 2018

ข้อมูลเกี่ยวกับผลิตภัณฑ์ที่ไม่ได้ผลิตโดย Apple หรือเว็บไซต์อิสระที่ไม่ได้ควบคุมหรือทดสอบโดย Apple มีให้โดยไม่มีคำแนะนำหรือการรับรองใดๆ Apple ไม่ขอรับผิดชอบในส่วนที่เกี่ยวกับการเลือก ประสิทธิภาพ หรือการใช้งานเว็บไซต์หรือผลิตภัณฑ์ของบริษัทอื่น Apple ไม่รับรองความถูกต้องหรือความน่าเชื่อถือของเว็บไซต์ของบริษัทอื่น ความเสี่ยงต่างๆ ในการใช้งานอินเทอร์เน็ตถือเป็นเรื่องปกติที่เกิดขึ้นได้ ติดต่อผู้จำหน่ายสำหรับข้อมูลเพิ่มเติม ชื่อบริษัทและชื่อผลิตภัณฑ์อื่นอาจเป็นเครื่องหมายการค้าของเจ้าของแต่ละราย

วันที่เผยแพร่: